var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { Suspense } from "react";
import usePastDelay from './usePastDelay';
function DelayedFallback(props) {
    const past_delay = usePastDelay(props.delay);
    if (!past_delay)
        return null;
    return _jsx(_Fragment, { children: props.children });
}
function CustomSuspense(props) {
    const { fallback, delay } = props, rest = __rest(props, ["fallback", "delay"]);
    return _jsx(Suspense, Object.assign({}, rest, { fallback: _jsx(DelayedFallback, Object.assign({ delay: delay }, { children: fallback })) }));
}
export default CustomSuspense;
